const Prismic = require('@prismicio/client')
const util = require('util')
const endpoint = 'https://recursive-fetchlinks.cdn.prismic.io/api/v2'

const linkResolver = (document) => '/' + document.uid

const client = Prismic.client(endpoint)

const graphQuery = `{
  page {
    relationship {
      ... on page {
        relationship {
          ... on page {
            relationship
          }
        }
      }
    }
  }
}`

const init = async () => {
  const document = (
    await client.query(
      Prismic.Predicates.at('document.id', 'YArUdREAACoASlF1'),
      { graphQuery }
    )
  ).results[0]
  console.log(util.inspect(document, { showHidden: false, depth: null }))
}

init()
